import Vuex from "vuex";
import app from "./modules/app";
import dataset from "./modules/dataset";
import menudata from "./modules/menudata";


Vue.use(Vuex);

const store = new Vuex.Store({
  modules: {
    app,
    dataset,
    menudata
  },
  getters: {
    menu: state => state.app.menu,
  }
});

export default store;
