import fetch from '@/utils/fetch'

export const crossInfo = () => fetch('/holo/base-cross-info/list', {}, 'GET')



export const eventInfo = (data) => fetch('/holo/event-info/list', data, 'GET')

export const inletWayRealTime = (data) => fetch('/holo/analysis-rid-entrace-indicator/realtime', data, 'GET')

export const inletWayTimeBetw = (data) => fetch('/holo/analysis-rid-entrace-indicator/time-slot', data, 'GET')

export const inletWayTurnRealTime = (data) => fetch('/holo/analysis-rid-turn-indicators/realtime', data, 'GET')

export const inletWayTurnTimeBetw = (data) => fetch('/holo/analysis-rid-turn-indicators/time-slot', data, 'GET')

export const roadRealTime = (data) => fetch('/holo/analysis-rid-lane-indicators/realtime', data, 'GET')

export const roadTimeBetw = (data) => fetch('/holo/analysis-rid-lane-indicators/time-slot', data, 'GET')

export const getRoadsTurn = (data) => fetch('/holo/base-lane-info/list', data, 'GET')

export const trafficEByTime = (data) => fetch('/holo/analysis-event-trend/list', data, 'GET')

// 区域时段雷达图
export const areaList = () => fetch('/holo/area-index-analysis/list', {}, 'GET')

// 路口交通流量分析
export const crossFlow = () => fetch('/holo/cross-flow/list', {}, 'GET')

// 路段交通流量分析
export const ridFlow = () => fetch('/holo/rid-flow/list', {}, 'GET')

// 路口详情 - 路口交通指标
export const crossIndex = (data) => fetch('/holo/analysis-cross-indicators/query', data, 'GET')

export const eventAnalysis = () => fetch('/holo/event-analysis/list', {}, 'GET')

export const areaRecent = () => fetch('/holo/area-index-analysis/recently', {}, 'GET')

export const eventAlarm = () => fetch('/holo/event-info/alarm', {}, 'GET')

export const pedNonAnalysis = () => fetch('/holo/ped-nonmotor-analysis/list', {}, 'GET')

//路口配置列表
export const api_getCrossData = (data) => fetch('/web/crossConfig/listLaneInfo', data, 'POST')

export const api_phaseByTimeList = (data) => fetch('/web/planSend/phaseListByTimeSingleRing', data, 'POST')

// 设备图层接口
export const equip_camera = () => fetch('/holo/device-camera/list', {}, 'GET')

export const equip_radar = () => fetch('/holo/device-radar/list', {}, 'GET')

export const equip_signal = () => fetch('/holo/device-signal/list', {}, 'GET')

export const equip_weather = () => fetch('/holo/device-weather/list', {}, 'GET')